{% extends 'base.html.twig' %}

{% block title %}Log in!{% endblock %}

{% block stylesheets %}
    {{ encore_entry_link_tags('login') }}
{% endblock %}

{% block javascripts %}
    {{ encore_entry_script_tags('login') }}
{% endblock %}

{% block body %}
    <div class="appHeader">Lydia - BackOffice</div>
    <div class="row justify-content-center">
        <form class="login" method="post">
            {% if error %}
                <div class="alert alert-danger">{{ error.messageKey|trans(error.messageData, 'security') }}</div>
            {% endif %}

            {% if app.user %}
                <div class="mb-3">
                    You are logged in as {{ app.user.username }}, <a href="{{ path('app_logout') }}">Logout</a>
                </div>
            {% endif %}
            <div class="form-group">
                <label for="inputEmail" class="sr-only">Email</label>
                <input type="email" value="{{ last_username }}" name="email" id="inputEmail" class="form-control"
                       placeholder="Email" required autofocus>
            </div>
            <div class="form-group">
                <label for="inputPassword" class="sr-only">Password</label>
                <input type="password" name="password" id="inputPassword" class="form-control" placeholder="Password"
                       required>
            </div>

            <input type="hidden" name="_csrf_token"
                   value="{{ csrf_token('authenticate') }}"
            >

            {#
                Uncomment this section and add a remember_me option below your firewall to activate remember me functionality.
                See https://symfony.com/doc/current/security/remember_me.html

                <div class="checkbox mb-3">
                    <label>
                        <input type="checkbox" name="_remember_me"> Remember me
                    </label>
                </div>
            #}
            <div class="form-group">
                <button class="btn btn-primary submit" type="submit">
                    Sign in
                </button>
            </div>
        </form>
    </div>
{% endblock %}
